Subject: Re: bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken, bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken

From: Štěpán Němec <[email-masked]>
Date: Thu, 17 Aug 2023 20:36:23 +0200

On Thu, 17 Aug 2023 18:31:34 +0000
Gregory Heytings wrote:

>>> (delq 'end-of-file debug-ignored-errors)
>>
>> Maybe you know something about `delq' I do not, but I always use 
>> something like
>>
>> (setq debug-ignored-errors (delq 'end-of-file debug-ignored-errors))
>>
>> instead.  (See the documentation of `delq'.)
>>
>
> Indeed it's safer to write it that way, but the setq is in fact
> necessary only when the element you want to remove is the first
> element of the list, which isn't the case here.

I didn't know that, thank you.  (I can't imagine a situation where I
would consider relying on that implementation detail a good idea,
though.)

-- 
Štěpán